# Interface IContextManager

@Deprecated public interface IContextManager
Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

A context manager tracks the sets of defined and enabled contexts within the application. The manager sends notification events to listeners when these sets change. It is also possible to retrieve any given context with its identifier.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  - `ContextManager`
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addContextManagerListener(IContextManagerListener contextManagerListener)`
Deprecated.
`IContext`
`getContext(String contextId)`
Deprecated.
`SortedSet`
`getDefinedContextIds()`
Deprecated.
`SortedSet`
`getEnabledContextIds()`
Deprecated.
`void`
`removeContextManagerListener(IContextManagerListener contextManagerListener)`
Deprecated.

## Method Details

### addContextManagerListener

@Deprecated void addContextManagerListener(IContextManagerListener contextManagerListener)
Deprecated.
Registers an instance of `IContextManagerListener` to listen for changes to properties of this instance.

Parameters:
  `contextManagerListener` - the instance to register. Must not be `null`. If an attempt is made to register an instance which is already registered with this instance, no operation is performed.

### getContext

@Deprecated IContext getContext(String contextId)
Deprecated.
Returns an instance of `IContext` given an identifier.

Parameters:
  `contextId` - an identifier. Must not be `null`
Returns:
  an instance of `IContext`.

### getDefinedContextIds

@Deprecated SortedSet getDefinedContextIds()
Deprecated.
Returns the set of identifiers to defined contexts. The set is sorted by the depth of the context within the tree of contexts. So, for example, a child context will always appear before its parent.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to defined contexts. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

### getEnabledContextIds

@Deprecated SortedSet getEnabledContextIds()
Deprecated.
Returns the set of identifiers to enabled contexts. The set is sorted by the depth of the context within the tree of contexts. So, for example, a child context will always appear before its parent.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to enabled contexts. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

### removeContextManagerListener

@Deprecated void removeContextManagerListener(IContextManagerListener contextManagerListener)
Deprecated.
Unregisters an instance of `IContextManagerListener` listening for changes to properties of this instance.

Parameters:
  `contextManagerListener` - the instance to unregister. Must not be `null`. If an attempt is made to unregister an instance which is not already registered with this instance, no operation is performed.